=head1 LICENSE

Copyright [2015-2018] EMBL-European Bioinformatics Institute

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

=cut

=head1 NAME

Bio::DB::HTS::Kseq::Iterator - The Kseq iterator

=head1 DESCRIPTION

An object for iterating through the available records. Other methods are available but are undocumented because you should be using the C<next_seq> methods as much as possible.

=head1 SYNOPSIS

  my $iter = $kseq->iterator();
  while(my $r = $iter->next_seq()) {
    say $r->name;
    say $r->desc;
    say $r->seq;
    say $r->qual;
  }

=head2 METHODS

=over 8

=item C<next_seq>

Returns a blessed C<Bio::DB::HTS::Kseq::Record> instance.

=item C<next_seq_hash>

Returns a raw HashRef with the keys name, desc, seq and qual available.

=back

=cut